package com.mt.wms.basic.params;

import com.mt.wms.core.params.BasePageParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Author: liguanghao
 * @Date: 2022/1/25 21:37
 * @Version 1.0
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "报警基础信息查询参数", description = "用于查询报警基础信息")
public class CraftInfoQueryParam  extends BasePageParam {
    /**
     * 主键，自增
     */
    @ApiModelProperty(value = "主键",required = false, example = "1")
    private Long id;

    /**
     * 工艺号
     */
    @ApiModelProperty(value = "工艺号",required = false, example = "1")
    private String craftCode;
}
