package com.mt.wms.common.service;

import com.mt.wms.common.vo.SysFileVo;
import com.mt.wms.core.params.IdParam;
import com.mt.wms.core.vo.R;

import javax.servlet.http.HttpServletResponse;

/**
 * <p>
 *
 * </P>
 *
 * @author FanYi
 * @date 2020/7/6
 * @since 1.0
 */
public interface CommonService {


    /**
     * 获取附件下载地址
     *
     * @param fileId 附件ID
     * @return 附件下载地址
     */
    SysFileVo downloadFile(Long fileId);

    /**
     *  附件预览
     *
     * @param idParam 附件ID
     * @return 附件下载地址
     */
    R<Object> downLoadFileUrl(IdParam idParam, HttpServletResponse response);


}
