/*
 * Copyright (c) 2018.
 * http://www.ulabcare.com
 */

package com.mt.wms.core.constants;

/**
 * @author jiff
 * @date 2018/11/1
 * @since 1.0
 */
public interface CommonConstant {


    /**
     * 版本控制
     */
    Integer VERSION = 0;

    /**
     * 默认密码
     */
    String DEFAULT_PASSWORD = "123456";

    /**
     * 公共服务模块
     */
    String API_MODULE_BASE = "api/";

    /**
     * 公共服务模块
     */
    String API_MODULE_COMMON = API_MODULE_BASE + "common/";

    /**
     * 统一认证模块
     */
    String API_MODULE_PASSPORT = API_MODULE_BASE + "passport/";

    /**
     * 管理模块
     */
    String API_MODULE_MANAGER = API_MODULE_BASE + "manager/";

    /**
     * 用户管理模块
     */
    String API_MODULE_UPMS = API_MODULE_BASE + "upms/";


    /**
     * 移动端模块
     */
    String API_MODULE_MOBILE = API_MODULE_BASE + "mobile/";

    /**
     * 报表端模块
     */
    String API_MODULE_REPORT = API_MODULE_BASE + "report/";
    /**
     * 基础信息模块
     */
    String API_MODULE_BASIC = API_MODULE_BASE + "basic/";
    /**
     * 模块
     */
    String API_MODULE_EMPTY = API_MODULE_BASE + "empty/";
}
