package com.mt.wms.core.params;

import com.mt.wms.core.base.BaseParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;

/**
 * <p>
 *
 * </P>
 *
 * @author FanYi
 * @date 2020/7/6
 * @since 1.0
 */
@ApiModel("查询字典列表入参")
@EqualsAndHashCode(callSuper = true)
@Data
public class DictValueParam extends BaseParam {
    @ApiModelProperty(value = "字典类型")
    @NotBlank(message = "字典类型不能为空")
    private String typeCode;
}
