package com.mt.wms.empty.params;


import com.mt.wms.core.base.BaseParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.List;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "Apms创建生产单", description = "Apms创建生产单")
public class ApmsCreateProcessSheet extends BaseParam {

    private static final long serialVersionUID = 1L;
    @ApiModelProperty(value = "生产单-明细数据", required = false)
    private List<CreateItem> items;

    @ApiModelProperty(value = "备注", required = false)
    private String remark;

    @ApiModelProperty(value = "开始加工时间:yyyy-MM-dd HH:mm:ss", required = true)
    private String startTime;

    @ApiModelProperty(value = "开始加工人:为APMS账号", required = true)
    private String startUser;

    @ApiModelProperty(value = "配炉号", required = true)
    private String stoveCode;

    @ApiModelProperty(value = "炉号备注", required = false)
    private String stoveRemark;

    @ApiModelProperty(value = "工艺号", required = false)
    private String techCode;
    @ApiModelProperty(value = "车间编码", required = true)
    private String workShopCode;
}

