package com.mt.wms.empty.params;

import com.mt.wms.core.params.BasePageParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @author xcc
 * @date 2021年11月9日
 * @since 1.0
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "获取任务信息", description = "获取任务信息")
public class CurrTaskQueryParam extends BasePageParam {

    private static final long serialVersionUID = 1L;

   @ApiModelProperty(value = "车辆id")
    private String vehicleId;

   private String sheetNo;


}
