/*
 * Copyright (c) 2019.
 * http://www.ulabcare.com
 */

package com.mt.wms.passport.service;

import com.mt.wms.core.dto.ApiLogDto;
import com.mt.wms.core.dto.LoginLogDto;
import com.mt.wms.core.vo.R;

/**
 * 日志服务
 *
 * @author jiff
 * @date 2019-07-20
 * @since 1.0
 */
public interface LogService {
    /**
     * 保存登录日志
     *
     * @param loginLogDto
     * @return
     */
    R<Long> saveLoginLog(LoginLogDto loginLogDto);

    /**
     * 保存接口日志
     *
     * @param apiLogDto
     * @return
     */
    R<Long> saveApiLog(ApiLogDto apiLogDto);
}
