package com.mt.wms.core.params;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * <p>
 * </p>
 *
 * @author Mr.ZhangShi
 * @version 1.0
 * @date 2020/8/4
 */
@Data
@ApiModel("根据id查询分页入参")
public class IdPageParam extends BasePageParam {

    @NotNull(message = "主键不能为空")
    @ApiModelProperty(value = "主键", required = true, example = "1", notes = "根据实际接口传递不同对象的主键")
    private Long id;
}
