package com.mt.wms.empty.params;


import com.mt.wms.core.base.BaseParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.List;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "Apms结束生产单", description = "Apms结束生产单")
public class ApmsFinishProcessSheet extends BaseParam {

    private static final long serialVersionUID = 1L;
    @ApiModelProperty(value = "生产单-明细数据", required = false)
    private List<FinishItem> items;


    @ApiModelProperty(value = "完成加工时间:yyyy-MM-dd HH:mm:ss", required = true)
    private String endTime;

    @ApiModelProperty(value = "完成加工人:为APMS账号", required = true)
    private String endUser;

    @ApiModelProperty(value = "备注", required = false)
    private String remark;

    @ApiModelProperty(value = "生产单号", required = false)
    private String sheetNo;
}

