package com.mt.wms.empty.params;

import com.mt.wms.core.base.BaseParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.List;

/**
 * @author xcc
 * @date 2021年11月9日
 * @since 1.0
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "新建一个任务信息", description = "新建一个任务信息")
public class TaskCreateParam extends BaseParam {

    private static final long serialVersionUID = 1L;

//    @ApiModelProperty(value = "托盘号")
//    private String palletCode;
    @ApiModelProperty(value = "自动任务类型", required = true)
    private Integer autoTaskType;
    @ApiModelProperty(value = "自动任务步骤标识", required = true)
    private Integer autoTaskStep;
    @ApiModelProperty(value = "起点（提升平台）", required = true)
    private String startPosition;
    @ApiModelProperty(value = "终点位置", required = true)
    private String targetPosition;
    @ApiModelProperty(value = "加工类型：0 初始加工，1 复加工", required = true)
    private Integer processType;
    @ApiModelProperty(value = "工业炉Id", example = "1", required = true)
    private Long kilnId;
    @ApiModelProperty(value = "工艺号", required = true)
    private String craftCode;
    @ApiModelProperty(value = "详细信息", required = true)
    private List<TaskCreateDetParam> detParams;


}
