/*
 * Copyright (c) 2018.
 * http://www.ulabcare.com
 */

package com.mt.wms.passport.feign.fallback;

import com.mt.wms.passport.feign.InnerService;
import com.mt.wms.core.dto.LoginUser;
import com.mt.wms.core.vo.R;
import com.mt.wms.core.vo.TokenVo;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

/**
 * @author jiff
 * @date 2018/11/30
 * @since 1.0
 */
@Slf4j
@Service
public class InnerServiceFallback implements InnerService {


    @Override
    public R<TokenVo> login(String token, LoginUser loginUser) {
        return null;
    }
}
