/*
 * Copyright (c) 2018.
 * http://www.ulabcare.com
 */

package com.mt.wms.upms.mapper;

import com.mt.wms.core.dto.Permission;
import com.mt.wms.core.enums.AppTypeEnum;
import com.mt.wms.upms.LisPlatformUpmsApplicationTest;
import org.junit.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.util.Assert;

import java.util.List;

/**
 * @author jiff
 * @date 2018-12-11
 * @since 1.0
 */
public class ResourceMapperTest extends LisPlatformUpmsApplicationTest {
    @Autowired
    private ResourceMapper resourceMapper;

    @Test
    public void listByUser() {
        List<Permission> permissions = resourceMapper.listByUser(1l, AppTypeEnum.PC.getValue());
        Assert.notEmpty(permissions, "权限为空");
    }
}